import { IObjectMix } from "../interfaces/TObject";
export declare enum ITBem {
    DEFAULT = "-",
    MODIFIER = "--",
    BLOCK = "",
    CHILD = "_"
}
export declare class BEM {
    private _parent;
    private _classNames;
    private _listClassNames;
    constructor(parent: string, classNames: IObjectMix);
    GetParent(): string;
    toString(): string;
    Append(className: string): this;
    Children(name: string, extra?: string): string;
    Modifier(children: string, modifier: string, active: boolean, extra?: string): string;
}
